Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge
Class TrajectoryForSubgradient

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge.Trajectory
          umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge.TrajectoryForSubgradient

All Implemented Interfaces:
  Cloneable

    public class TrajectoryForSubgradient

extends Trajectory

Field Summary

Fields inherited from class umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge.Trajectory
`canSplit, lowerStaffing, numCanSplit, numDiffStaffings, upperStaffing`

Constructor Summary
`TrajectoryForSubgradient(CallCenterCTMC ctmc, int[][] typeToGroupMap, CallCenterCounters counters, int[] lowerStaffing, int[] upperStaffing)`

Method Summary
`void` | `changePeriod(CallCenterCTMC ctmc, CallCenterCounters countersProto, int[] lowerStaffing, int[] upperStaffing, int p)`
`TrajectoryForSubgradient` | `clone()`
`Trajectory[]` | `split(CallCenterCTMC ctmc, int k)`
`protected Trajectory[]` | `splitNewPeriod(CallCenterCTMC ctmc, int[] maxAgentsSplit)`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge.Trajectory
`canSplit, canSplit, getAgentGroup, getCounters, getCounters, getLowerStaffing, getLowerStaffing, getNumDiffStaffings, getNumMerge, getNumSplit, getSplitTransition, getStatNumTrajectories, getTypeToGroupMap, getUpperStaffing, getUpperStaffing, newMerge, splitNewPeriod, storePeriod, toString, update`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrajectoryForSubgradient

    public TrajectoryForSubgradient(CallCenterCTMC ctmc,
                                    int[][] typeToGroupMap,
                                    CallCenterCounters counters,
                                    int[] lowerStaffing,
                                    int[] upperStaffing)

Method Detail

### changePeriod

    public void changePeriod(CallCenterCTMC ctmc,
                             CallCenterCounters countersProto,
                             int[] lowerStaffing,
                             int[] upperStaffing,
                             int p)

  Overrides:
    `changePeriod` in class `Trajectory`

### splitNewPeriod

    protected Trajectory[] splitNewPeriod(CallCenterCTMC ctmc,
                                          int[] maxAgentsSplit)

  Overrides:
    `splitNewPeriod` in class `Trajectory`

### split

    public Trajectory[] split(CallCenterCTMC ctmc,
                              int k)

  Overrides:
    `split` in class `Trajectory`

### clone

    public TrajectoryForSubgradient clone()

  Overrides:
    `clone` in class `Trajectory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.